Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_Client_Strategy_Factory Class Reference

This is the "default" client strategy factor for TAO. It includes strategies that are configured through command-line options so that everything operates as if there were no dynamically-linkable strategies. More...

`#include <default_client.h>`

Inheritance diagram for TAO_Default_Client_Strategy_Factory

[legend]
Collaboration diagram for TAO_Default_Client_Strategy_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Default_Client_Strategy_Factory (void)
| Constructor.
virtual | ~TAO_Default_Client_Strategy_Factory (void)
| Destructor.
virtual int | init (int argc, char* argv[])
| Dynamic linking hook.
int | parse_args (int argc, char* argv[])
| Parse svc.conf arguments.
virtual ACE_Lock* | create_profile_lock (void)
virtual TAO_Transport_Mux_Strategy* | create_transport_mux_strategy (TAO_Transport *transport)
| Create the correct client request muxing strategy.
virtual int | allow_callback (void)
| Does the client allow any form of callback?
virtual TAO_Wait_Strategy* | create_wait_strategy (TAO_Transport *transport)
| Create the correct client <wait_for_reply> strategy.
virtual ACE_Lock* | create_ft_service_retention_id_lock (void)
| Create a lock to be used by the TAO_Fault_Tolerant_Service class to generate unique retention ids.
## Protected Methods
void | report_option_value_error (const char* option_name, const char* option_value)
## Private Types
enum | Lock_Type { TAO_NULL_LOCK, TAO_THREAD_LOCK }
enum | Transport_Mux_Strategy { TAO_MUXED_TMS, TAO_EXCLUSIVE_TMS }
enum | Wait_Strategy { TAO_WAIT_ON_LEADER_FOLLOWER, TAO_WAIT_ON_REACTOR, TAO_WAIT_ON_READ }
## Private Attributes
Lock_Type | profile_lock_type_
| the lock type for forwarding IIOP Profile.
Transport_Mux_Strategy | transport_mux_strategy_
| The client Request Mux Strategy.
Wait_Strategy | wait_strategy_
| The wait-for-reply strategy.

## Detailed Description

This is the "default" client strategy factor for TAO. It includes strategies that are configured through command-line options so that everything operates as if there were no dynamically-linkable strategies.

## Member Enumeration Documentation

enum TAO_Default_Client_Strategy_Factory::Lock_Type`[private]`

  | Enumeration values:
  TAO_NULL_LOCK |
  TAO_THREAD_LOCK |

enum TAO_Default_Client_Strategy_Factory::Transport_Mux_Strategy`[private]`

  | Enumeration values:
  TAO_MUXED_TMS |
  TAO_EXCLUSIVE_TMS |

enum TAO_Default_Client_Strategy_Factory::Wait_Strategy`[private]`

  | Enumeration values:
  TAO_WAIT_ON_LEADER_FOLLOWER |
  TAO_WAIT_ON_REACTOR |
  TAO_WAIT_ON_READ |

## Constructor & Destructor Documentation

TAO_Default_Client_Strategy_Factory::TAO_Default_Client_Strategy_Factory ( | void )`[inline]`

| Constructor.

TAO_Default_Client_Strategy_Factory::~TAO_Default_Client_Strategy_Factory ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

int TAO_Default_Client_Strategy_Factory::allow_callback ( | void )`[virtual]`

| Does the client allow any form of callback? Reimplemented from TAO_Client_Strategy_Factory.

ACE_Lock * TAO_Default_Client_Strategy_Factory::create_ft_service_retention_id_lock ( | void )`[virtual]`

| Create a lock to be used by the TAO_Fault_Tolerant_Service class to generate unique retention ids. Reimplemented from TAO_Client_Strategy_Factory.

ACE_Lock * TAO_Default_Client_Strategy_Factory::create_profile_lock ( | void )`[virtual]`

| Create the lock for the forwarding Profile used by the <TAO_GIOP_Invocation::location_forward> and the <TAO_GIOP_Invocation::start>. Reimplemented from TAO_Client_Strategy_Factory.

TAO_Transport_Mux_Strategy * TAO_Default_Client_Strategy_Factory::create_transport_mux_strategy ( | TAO_Transport * transport )`[virtual]`

| Create the correct client request muxing strategy. Reimplemented from TAO_Client_Strategy_Factory.

TAO_Wait_Strategy * TAO_Default_Client_Strategy_Factory::create_wait_strategy ( | TAO_Transport * transport )`[virtual]`

| Create the correct client <wait_for_reply> strategy. Reimplemented from TAO_Client_Strategy_Factory.

int TAO_Default_Client_Strategy_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Dynamic linking hook.

int TAO_Default_Client_Strategy_Factory::parse_args ( | int argc,
| char * argv[] )

| Parse svc.conf arguments.

void TAO_Default_Client_Strategy_Factory::report_option_value_error ( | const char * option_name,
| const char * option_value )`[protected]`

## Member Data Documentation

Lock_Type TAO_Default_Client_Strategy_Factory::profile_lock_type_`[private]`

| the lock type for forwarding IIOP Profile.

Transport_Mux_Strategy TAO_Default_Client_Strategy_Factory::transport_mux_strategy_`[private]`

| The client Request Mux Strategy.

Wait_Strategy TAO_Default_Client_Strategy_Factory::wait_strategy_`[private]`

| The wait-for-reply strategy.

The documentation for this class was generated from the following files:

- default_client.h
- default_client.cpp